Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IOperationFactory

public interface IOperationFactory

A factory interface for creating operations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IBatchOperation` | `createBatchInstallOperation(IInstallFeatureOperation[] operations)` Creates an operation for executing a set of feature operation in batch mode
`IConfigFeatureOperation` | `createConfigOperation(IConfiguredSite targetSite, IFeature feature)` Creates an operation for configuring an installed feature in the specified site.
`IInstallFeatureOperation` | `createInstallOperation(IConfiguredSite targetSite, IFeature feature, IFeatureReference[] optionalFeatures, IFeature[] unconfiguredOptionalFeatures, IVerificationListener verifier)` Creates an operation for installing a feature.
`IConfigFeatureOperation` | `createReplaceFeatureVersionOperation(IFeature feature, IFeature anotherFeature)` Creates an operation for replacing this feature by a previous version
`IRevertConfigurationOperation` | `createRevertConfigurationOperation(IInstallConfiguration config, IProblemHandler problemHandler)` Creates an operation to revert to a previous installation configuration.
`IToggleSiteOperation` | `createToggleSiteOperation(IConfiguredSite site)` Creates ann operation to configure/unconfigure an installation site (also known as enable/disable site)
`IUnconfigFeatureOperation` | `createUnconfigOperation(IConfiguredSite targetSite, IFeature feature)` Creates an operation for unconfiguring a feature
`IUninstallFeatureOperation` | `createUninstallOperation(IConfiguredSite targetSite, IFeature feature)` Creates an operation to uninstall a feature

Method Detail

### createConfigOperation

    public IConfigFeatureOperation createConfigOperation(IConfiguredSite targetSite,
                                                         IFeature feature)

  Creates an operation for configuring an installed feature in the specified site.

  Parameters:
    `targetSite` - site containing the feature to configure
    `feature` - feature to be configured
  Returns:
    the configure operation

### createUnconfigOperation

    public IUnconfigFeatureOperation createUnconfigOperation(IConfiguredSite targetSite,
                                                             IFeature feature)

  Creates an operation for unconfiguring a feature

  Parameters:
    `targetSite` - site containing the feature to unconfigure
    `feature` - feature to be unconfigured
  Returns:
    the unconfigure operation

### createInstallOperation

    public IInstallFeatureOperation createInstallOperation(IConfiguredSite targetSite,
                                                           IFeature feature,
                                                           IFeatureReference[] optionalFeatures,
                                                           IFeature[] unconfiguredOptionalFeatures,
                                                           IVerificationListener verifier)

  Creates an operation for installing a feature.

  Parameters:
    `targetSite` - site in which the feature is to be installed
    `feature` - feature to be installed
    `optionalFeatures` - optionally included features to be installed (if any)
    `unconfiguredOptionalFeatures` - when installing optional features, some can be left unconfigured
    `verifier` - operation verification listener
  Returns:
    the install operation

### createUninstallOperation

    public IUninstallFeatureOperation createUninstallOperation(IConfiguredSite targetSite,
                                                               IFeature feature)

  Creates an operation to uninstall a feature

  Parameters:
    `targetSite` - site containing the feature to uninstall
    `feature` - feature to be uninstalled
  Returns:
    the uninstall operation

### createReplaceFeatureVersionOperation

    public IConfigFeatureOperation createReplaceFeatureVersionOperation(IFeature feature,
                                                                        IFeature anotherFeature)

  Creates an operation for replacing this feature by a previous version

  Parameters:
    `feature` - current feature
    `anotherFeature` - the new feature to be swapped in
  Returns:
    the revert feature version operation

### createBatchInstallOperation

    public IBatchOperation createBatchInstallOperation(IInstallFeatureOperation[] operations)

  Creates an operation for executing a set of feature operation in batch mode

  Parameters:
    `operations` - operation to execute in batch mode
  Returns:
    the batch operation

### createToggleSiteOperation

    public IToggleSiteOperation createToggleSiteOperation(IConfiguredSite site)

  Creates ann operation to configure/unconfigure an installation site (also known as enable/disable site)

  Parameters:
    `site` - site to configure/unconfigure
  Returns:
    the toggle site operation

### createRevertConfigurationOperation

    public IRevertConfigurationOperation createRevertConfigurationOperation(IInstallConfiguration config,
                                                                            IProblemHandler problemHandler)

  Creates an operation to revert to a previous installation configuration.

  Parameters:
    `config` - configuration to revert to
    `problemHandler` - error handler
  Returns:
    the revert operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.